<div class="py-2" *ngIf="vm$ | async as vm">

	<div class="row mx-0 bg-cool-white text-secondary-dark pet-glow-primary">
		<div class="col">
			<div class="row mt-1">
				<div class="col-auto">
					<h2 class="mb-0" i18n="@@foundNumber">Products found:</h2>
				</div>
				<div class="col-auto">
					<h2 class="pet-pill pet-glow-secondary">{{ vm.productsList.length }}</h2>
				</div>
			</div>
			<div class="row py-1 hide-until-lg">
				<div class="col-2 text-end">
					<b i18n="@@byCriteria">By criteria</b><b>: </b>
				</div>
				<div class="col">
					<div class="row justify-content-start">

						<ng-container #params *ngFor="let param of vm.localizedParams">
							<div class="col-auto">
								<span class="pet-pill pet-glow-secondary"> <b>{{param.key +': '}}</b> <span>{{param.value}}</span>
								</span>
							</div>
						</ng-container>
					</div>
				</div>
			</div>
			<div class="row py-1 hide-until-lg" *ngIf="!!vm.sortedByIng || !!vm.sortedByAnalysis">
				<div class="col-2 text-end">
					<i i18n="list sorting info|@@sorted">Sorted in</i><i>: </i>
				</div>
				<div class="col-auto">
					<span class="pet-pill pet-glow-secondary">{{ !!vm.ascending ? _localizedOrder.ascending : _localizedOrder.descending }}</span> 
					<i i18n="list sorting info|@@ordered"> order by </i> 
					<span class="pet-pill pet-glow-secondary">{{ !!vm.sortedByIng ? vm.sortedByIng : vm.sortedByAnalysis }}</span>
				</div>
			</div>
			<div class="row my-1 hide-over-lg">
				<div class="col">
					<button [appDropdown]="paramsDropdown" type="button"
						class="btn btn-sm btn-secondary px-1 border-2 border-secondary-fluo	pet-glow-secondary-btn"
						i18n="@@byCriteria">By criteria</button>
					<ng-template #paramsDropdown>
						<div class="row m-0 flex-column p-0 pt-1 bg-primary-lighter border border-primary-light pet-glow-primary">
							<ng-container *ngFor="let param of vm.localizedParams">
								<div class="col d-flex px-0 pb-1">
									<span class="pet-pill pet-glow-secondary"> <b>{{param.key +': '}}</b> <span>{{param.value}}</span>
									</span>
								</div>
							</ng-container>
						</div>
					</ng-template>
				</div>

				<div class="col" *ngIf="!!vm.sortedByIng || !!vm.sortedByAnalysis">
					<button [appDropdown]="orderDropdown" position="bottom-left" type="button"
						class="btn btn-sm btn-secondary px-1 border-2 border-secondary-fluo	pet-glow-secondary-btn"
						i18n="@@sorted">Sorted in</button>
					<ng-template #orderDropdown>
						<div class="p-0 bg-primary-lighter border border-primary-light pet-glow-primary">
							<span class="pet-pill pet-glow-secondary">{{ !!vm.ascending ? _localizedOrder.ascending : _localizedOrder.descending }}</span> 
							<span class="text-secondary-dark"	i18n="list sorting info|@@ordered"> order by </span>
							<span class="pet-pill pet-glow-secondary">{{ !!vm.sortedByIng ? vm.sortedByIng : vm.sortedByAnalysis }}</span>
						</div>
					</ng-template>
				</div>
			</div>

		</div>
	</div>

	<div class="container">
    <div class="row mt-4 justify-content-center">
      <div class="col-auto">
        <ngb-pagination [page]="page" [pageSize]="pageSize" [collectionSize]="vm.productsList.length"
          [directionLinks]="false" [rotate]="true" (pageChange)="leavingForPage($event)"></ngb-pagination>
      </div>
    </div>
    <hr>
		<div [@paginator]="changePageState" (@paginator.done)="enteringPage($event)">
  		<div *ngFor="let product of vm.productsList | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize">
  			<app-product-view [product]="product"></app-product-view>
  			<hr>
  		</div>
		</div>
		<div class="row mt-4 justify-content-center">
      <div class="col-auto">
        <ngb-pagination [page]="page" [pageSize]="pageSize" [collectionSize]="vm.productsList.length"
          [directionLinks]="false" [rotate]="true" (pageChange)="leavingForPage($event)"></ngb-pagination>
      </div>
    </div>
    <hr>
	</div>

</div>